Bug 228 - support for alternative data streams (ads)
support for alternative data streams (ads)
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.0preX
All All
: P2 enhancement
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 01:59 UTC by Björn Jacke
Modified: 2005-08-24 10:18 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Jacke 2003-07-16 01:59:43 UTC
ntfs has support for so called ADS (alternative data streams), where one file
may contain multiple files. See http://www.heysoft.de/nt/ep-lads.htm for a free
program to list files which contain such streams. The windows API has support to
list these.

You can create an alternative data stream on nt like this:

echo you can read this > test.txt
echo but not this > test.txt:cantsee

via smbclient or smbfs this alternative stream cannot be listed but one can open
a file called "test.txt:cantsee".

It would be nice if smbfs and smbclient would have an option to enable this ADS
to be shown.

Also creating an ADS on a samba share does not work, the samba server should be
able to handle such bla:foo files the way NT servers do.
Comment 1 Jeremy Allison 2003-07-29 12:17:45 UTC
I have just fixed this. Doesn't now seem to be a problem in SAMBA_3_0
CVS code.

Jeremy.
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:40:39 UTC
originally reported against 3.0.0beta2.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:18:23 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.